EndpointsTournaments

Set tournament simulator access

POST/v2/leagues/{league_id}/tournament-sim-access

Choose whether league participants or only owners may use the simulator.

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer token issued by Softmax

In: header

Path Parameters

league_id*League Id

League whose simulator visibility should be changed.

Match^league_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

Request Body

application/json

visibility*Visibility

Who may use the league's tournament simulator.

Value in

  • "owner"
  • "participants"
curl -X POST "https://softmax.com/api/observatory/v2/leagues/string/tournament-sim-access" \  -H "Content-Type: application/json" \  -d '{    "visibility": "owner"  }'
{  "allowed": true,  "is_owner": true,  "visibility": "owner"}